## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ElemCopy Class Reference

Inheritance diagram for ElemCopy:

[legend]
Collaboration diagram for ElemCopy:

[legend]
List of all members.

## Public Member Functions

- ElemCopy (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, const AttributeListType &atts, int lineNumber, int columnNumber)
    Construct an object corresponding to an "xsl:copy" element.
- virtual const XalanDOMString & getElementName () const
    Get a string for the name of the element.
- virtual const ElemTemplateElement * startElement (StylesheetExecutionContext &executionContext) const
    Completes "pre-processing" before any sub-elements are invoked (i.e.
- virtual void endElement (StylesheetExecutionContext &executionContext) const
    Completes "post-processing" afer any sub-elements are invoked (i.e.

## Constructor & Destructor Documentation

ElemCopy::ElemCopy | ( | StylesheetConstructionContext & | constructionContext,
|  | Stylesheet & | stylesheetTree,
|  | const AttributeListType & | atts,
|  | int | lineNumber,
|  | int | columnNumber
| ) |

Construct an object corresponding to an "xsl:copy" element.

Parameters:

  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document

## Member Function Documentation

virtual void ElemCopy::endElement | ( | StylesheetExecutionContext & | executionContext | ) | const`[virtual]`

Completes "post-processing" afer any sub-elements are invoked (i.e.

children, attribute sets and templates). If there are no sub-elements it does nothing

Parameters:

  executionContext | context to execute this element

Reimplemented from ElemUse.

virtual const XalanDOMString& ElemCopy::getElementName | ( |  | ) | const`[virtual]`

Get a string for the name of the element.

Useful for debugging purposes, and error reporting.

Returns:
  A string containing the name of the element.

Reimplemented from ElemUse.

virtual const ElemTemplateElement* ElemCopy::startElement | ( | StylesheetExecutionContext & | executionContext | ) | const`[virtual]`

Completes "pre-processing" before any sub-elements are invoked (i.e.

children, attribute sets and templates). If there are no sub-elements it executes the primary function of the element.

Parameters:

  executionContext | context to execute this element

Reimplemented from ElemUse.

The documentation for this class was generated from the following file:

- ElemCopy.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.